Hacker Newsnew | past | comments | ask | show | jobs | submit | KerrickStaley's commentslogin


Tried this out today and it feels half-baked unfortunately. I can't get auth working (https://github.com/googleworkspace/cli/issues/198).

The decision to pass all params as a JSON string to --params makes it unfriendly for humans to experiment with, although Claude Code managed to one-shot the right command for me, so I guess this is fine. This is an intentional design per https://justin.poehnelt.com/posts/rewrite-your-cli-for-ai-ag...


Side note, a lot happens at C3 other than the talks! Art, electronic gizmos and demos of all kinds, people hacking in realtime on projects, impromptu meetups, and bumping techno music :) I'd encourage people to attend in person if they get a chance; just watching the talks online is only a fraction of the experience.


I recently designed an eval to see if LLMs can produce usable CAD models: https://kerrickstaley.com/2026/02/22/can-frontier-llms-solve...

Claude 4.6 Opus and Gemini 3.1 Pro can to some degree, although the 3D models they produce are often deficient in some way that my eval didn't capture.

My eval used OpenSCAD simply due to familiarity and not having time to experiment with build123d/CadQuery. There is an academic paper where they were successful at fine-tuning a small VLM to do CadQuery: https://arxiv.org/pdf/2505.14646


Great work - looks like building block towards 3d-model composition integration testing. I have been looking for a solution that would allow testing component fit into surrounding components. My use-case would be to create parametric boat hull and then add components to that could be tested for fitness in the arrangement.


Cool project, thanks for sharing!

The simulator lets the LLM request renders from different angles/times, so the LLM can get visual feedback. For failures, the simulator also returns status codes like `object_fell` or `mount_initially_collided_with_object` depending on what happened. You can see what the tool call looks like by looking at the Transcript tab, e.g. here https://kerrickstaley.com/ai-cad-design-mount-viz/gso__mug__...

I agree it's not clear how much benefit models get from iteration. Many of the successful runs are one-shots. You can see some examples of basic spatial reasoning e.g. here https://kerrickstaley.com/ai-cad-design-mount-viz/gso__mug__... :

> The initial collision is because the mount was positioned at the same height as the mug's body center (z=-22), causing overlap. I need to lower the mount significantly so the mug starts above it and drops into the cradle.


> I'll also remove the end cap to avoid it blocking the mug's descent.

Ah yes, that matches my observations. It kinda sees that the stuff it is looking for is there, but does not see enough detail to actually notice that not only there is an endcap in the way, but the mug is also rotated the wrong way to sit in the holder.

It feels like the "r's in strawberry" effect where the models do not have enough introspection into the raw input data.


  a = b = []
has the same semantics here as

  b = []
  a = b
which I don't find surprising.


A fun way to play this game with less downside is to run `set -euo pipefail` in an interactive session. Then, whenever you execute a command that returns a non-zero exit code, your shell will exit immediately.

Unfortunately certain commands like `rg` will return non-zero by design when there are no matches, which could be an intentional outcome.


Just remember what those commands are, and to type a || or && next to them each time you run one.

'<cmd> || echo$?' is a good option, if you care about the return value.


This 2-minute video is a great intro to the topic https://www.youtube.com/watch?v=HVv_IQKlafQ

I think this tech has become "production-ready" recently due to a combination of research progress (the seminal paper was published in 2023 https://repo-sam.inria.fr/fungraph/3d-gaussian-splatting/) and improvements to differentiable programming libraries (e.g. PyTorch) and GPU hardware.


Does anyone know what the "Poke" service that this blog mentions is? I'm having trouble finding it on Google.


Yeah, me too. The only thing that shows up is poke.com which has something to do with mobile notifications (and seems like at some point they offered some api, but maybe it was discontinued? or something, there are some medium posts talking about their api https://jpcaparas.medium.com/get-sms-or-imessage-alerts-from...


Hey! I work on Poke, and OP is apparently a user :)

Right now, there's a bouncer/waitlist to access Poke, but you can see how other people use Poke at poke.com/explore :)

Other users have linked the developer documentation, but if you're particularly interested in anything specific, feel free to email me!


Maybe [1]? Sounds like ntfy.sh, but more… AI

[1] https://poke.com/docs/developers/api/message-poke


How'd you find this? I spent 5 minutes bouncing between their various domains and marketing videos and login walls and couldn't find the developer docs.

Personally, I'd setup a Mattermost server and use its WebHooks for notifications. That's also more flexible (can send commands back to the bot, etc.)


I searched for "poke push notification framework" on Kagi. But even then it was hard to find.


yeah this was a poorly written blogpost (which is fine to be clear, something is better than nothing and OP gave the highest order bits).

but its this poke: https://poke.com/ verified because TFA is cited in this page https://poke.com/explore

the sign up is very annoying fair warning.


Maybe chat with poke? SMS ai service? I haven’t used it yet though


I use Pushover for notifications.

You can poke me on my website vikashbajaj.com


I'm experimenting to see if frontier LLMs can do practical CAD modeling. I'm starting with a single task: designing a wall mount for my bike pump in OpenSCAD or CadQuery (two code-based CAD systems).

None of the frontier LLMs (Gemini, ChatGPT, Claude) produce usable designs when just prompted with some photos of the pump and a written description of the mount. I'm now building a simulator in Mujoco that the LLMs can use to test and iterate on their designs to see if they can do better in this setting.

I'm hoping to make an interesting blog post of it and maybe end up with a usable wall mount design.


claude models are sufficiently competent at directly making accurate MJCF files as long as you go part by part. directly trying to port from CAD may cause issues when trying to "close the loop" so to speak because of the kinematic tree approach.


Guidelines | FAQ | Lists | API | Security | Legal | Apply to YC | Contact

Search: